## gpodder 3.8.1

=== debian/changelog ===
gpodder (3.8.1-1ubuntu1) vivid; urgency=medium

  * Recommed python-appindicator for Unity integration (LP: #1266164) 

 -- Tomáš Hnyk <tomashnyk@gmail.com>  Wed, 12 Nov 2014 20:03:35 +0100

gpodder (3.8.1-1) unstable; urgency=medium

  * New upstream release.
    - Fixes a bug with mixed-case password.
    - Improves support for adding certain YouTube channels/feed URLs.

 -- tony mancill <tmancill@debian.org>  Tue, 09 Sep 2014 22:44:01 -0700

=== debian/control ===
Source: gpodder
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Thomas Perl <m@thp.io>
Uploaders: tony mancill <tmancill@debian.org>
Section: x11
Priority: optional
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 9),
 dh-python,
 intltool,
 python-feedparser (>= 5.1.2),
 python-mygpoclient,
 python-dev (>= 2.6.6-3~)
Homepage: http://gpodder.org/
Vcs-Git: git://anonscm.debian.org/collab-maint/gpodder.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/gpodder.git

Package: gpodder
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
 python-gtk2 (>= 2.16),
 python-feedparser,
 python-dbus,
 python-mygpoclient,
 python-webkit
Recommends: dbus-x11, python-simplejson, python-gst0.10,
 libqtwebkit-qmlwebkitplugin, python-appindicator 
Suggests: mplayer, gnome-bluetooth | bluez-gnome
Description: podcast client and feed aggregator
 gPodder is a podcast receiver/catcher. You can subscribe to feeds
 ("podcasts") and automatically download new audio and video content.
 Downloaded content can be played on your computer or synchronized to
 iPods, MTP-based players, filesystem-based MP3 players and Bluetooth
 enabled mobile phones. YouTube video feeds are also supported.
 .
 This package provides the "gpodder" GUI and the "gpo" CLI utility.

## gpodder 3.8.4

=== debian/changelog ===
gpodder (3.8.4-1) unstable; urgency=medium

  * New upstream release.

 -- tony mancill <tmancill@debian.org>  Wed, 27 May 2015 19:13:14 -0700

gpodder (3.8.3-2) unstable; urgency=medium

  * Remove Recommends on python-gst0.10. (Closes: #785834)
  * Add python-appindicator to Recommends. (Closes: #770717)

 -- tony mancill <tmancill@debian.org>  Wed, 20 May 2015 21:07:34 -0700

gpodder (3.8.3-1) unstable; urgency=medium

  * New upstream release.
  * Add patch to set the default for update checks to false.
  * Bump Standards-Version to 3.9.6.
  * Patch HTML to use local resources.  
    Adds libjs-jquery and libjs-jquery-mobile to dependencies.

 -- tony mancill <tmancill@debian.org>  Sun, 05 Apr 2015 21:21:39 -0700

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: gpodder
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Thomas Perl <m@thp.io>
+Maintainer: Thomas Perl <m@thp.io>
 Uploaders: tony mancill <tmancill@debian.org>
 Section: x11
 Priority: optional
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 9),
  dh-python,
  intltool,
@@ -22,9 +21,13 @@
  python-feedparser,
  python-dbus,
  python-mygpoclient,
- python-webkit
-Recommends: dbus-x11, python-simplejson, python-gst0.10,
- libqtwebkit-qmlwebkitplugin, python-appindicator 
+ python-webkit,
+ libjs-jquery,
+ libjs-jquery-mobile
+Recommends: dbus-x11,
+ python-simplejson,
+ python-appindicator,
+ libqtwebkit-qmlwebkitplugin
 Suggests: mplayer, gnome-bluetooth | bluez-gnome
 Description: podcast client and feed aggregator
  gPodder is a podcast receiver/catcher. You can subscribe to feeds

## gpodder 3.8.5

=== debian/changelog ===
gpodder (3.8.5-1) unstable; urgency=medium

  * New upstream release.
  * Remove .menu file.  This package contains a desktop file.
  * Clean up debian/copyright; remove files no longer part of the source.
  * Drop build-dep on python-dev in favor of python for arch all package.

 -- tony mancill <tmancill@debian.org>  Thu, 03 Dec 2015 22:01:18 -0800

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  intltool,
  python-feedparser (>= 5.1.2),
  python-mygpoclient,
- python-dev (>= 2.6.6-3~)
+ python (>= 2.6.6-3~)
 Homepage: http://gpodder.org/
 Vcs-Git: git://anonscm.debian.org/collab-maint/gpodder.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/gpodder.git

## gpodder 3.9.0

=== debian/changelog ===
gpodder (3.9.0-2) unstable; urgency=medium

  * Remove depedency on python-webkit recommends on
    libqtwebkit-qmlwebkitplugin. (Closes: #790218)

 -- tony mancill <tmancill@debian.org>  Mon, 15 Feb 2016 08:34:13 -0800

gpodder (3.9.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop dependencies on libjs-jquery and libjs-jquery-mobile,
    now that the web UI has been removed.
  * Drop the use_local_jquery.patch.

 -- tony mancill <tmancill@debian.org>  Sat, 06 Feb 2016 09:30:56 -0800

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  python (>= 2.6.6-3~)
 Homepage: http://gpodder.org/
 Vcs-Git: git://anonscm.debian.org/collab-maint/gpodder.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/gpodder.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/gpodder.git
 
 Package: gpodder
 Architecture: all
@@ -20,14 +20,10 @@
  python-gtk2 (>= 2.16),
  python-feedparser,
  python-dbus,
- python-mygpoclient,
- python-webkit,
- libjs-jquery,
- libjs-jquery-mobile
+ python-mygpoclient
 Recommends: dbus-x11,
  python-simplejson,
- python-appindicator,
- libqtwebkit-qmlwebkitplugin
+ python-appindicator
 Suggests: mplayer, gnome-bluetooth | bluez-gnome
 Description: podcast client and feed aggregator
  gPodder is a podcast receiver/catcher. You can subscribe to feeds

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE   = $(firstword $(shell dh_listpackages))
TMP       = $(CURDIR)/debian/$(PACKAGE)
CHANGELOG = ChangeLog
DOCS      = README
PYTHON    = /usr/bin/python
SETUP     = ${PYTHON} setup.py
DESTDIR   = debian/${PACKAGE}
PREFIX    = usr

%:
	dh $@ --with python2

override_dh_auto_test:

override_dh_clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	${SETUP} clean --all
	rm -rf build dist
	dh_clean
	make clean

override_dh_install:
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	make messages
	PREFIX=$(PREFIX) make share/dbus-1/services/org.gpodder.service
	${SETUP} install --no-compile --root='$(DESTDIR)' --prefix=$(PREFIX) --install-lib=$(PREFIX)/share/pyshared

get-orig-source:
	uscan --force-download --rename

=== debian/watch ===
version=3

# The newest release is always linked from gpodder.org's download page
http://gpodder.org/src/gpodder-([\d\.]*).tar.gz

## gpodder 3.9.1

=== debian/changelog ===
gpodder (3.9.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.8.

 -- tony mancill <tmancill@debian.org>  Sun, 13 Nov 2016 16:47:26 -0800

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: tony mancill <tmancill@debian.org>
 Section: x11
 Priority: optional
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 9),
  dh-python,
  intltool,

## gpodder 3.9.2

=== debian/changelog ===
gpodder (3.9.2-1) unstable; urgency=medium

  * New upstream release.
  * Replace build-dep on feedparser with podcastparser.
  * Use HTTPS for Vcs-Git URL.
  * Replace Recommends on dbus-x11 with 
    default-dbus-session-bus | dbus-session-bus. (Closes: #836099)

 -- tony mancill <tmancill@debian.org>  Wed, 14 Dec 2016 21:49:07 -0800

## gpodder 3.9.3

=== debian/changelog ===
gpodder (3.9.3-1) unstable; urgency=medium

  * New upstream release.

 -- tony mancill <tmancill@debian.org>  Mon, 26 Dec 2016 20:47:50 -0800

=== debian/control ===
--- 
+++ 
@@ -7,21 +7,21 @@
 Build-Depends: debhelper (>= 9),
  dh-python,
  intltool,
- python-feedparser (>= 5.1.2),
+ python-podcastparser,
  python-mygpoclient,
  python (>= 2.6.6-3~)
 Homepage: http://gpodder.org/
-Vcs-Git: git://anonscm.debian.org/collab-maint/gpodder.git
+Vcs-Git: https://anonscm.debian.org/collab-maint/gpodder.git
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/gpodder.git
 
 Package: gpodder
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends},
  python-gtk2 (>= 2.16),
- python-feedparser,
+ python-podcastparser,
  python-dbus,
  python-mygpoclient
-Recommends: dbus-x11,
+Recommends: default-dbus-session-bus | dbus-session-bus,
  python-simplejson,
  python-appindicator
 Suggests: mplayer, gnome-bluetooth | bluez-gnome

## gpodder 3.10.0

=== debian/changelog ===
gpodder (3.10.0-4) unstable; urgency=medium

  * Add missing dependency on python3-cairo (Closes: #889850)

 -- tony mancill <tmancill@debian.org>  Thu, 08 Feb 2018 20:03:06 -0800

gpodder (3.10.0-3) unstable; urgency=medium

  * Replace patch for #888420 with upstream commits through e524572.
    - Fixes OPML export.
    - Fixes issues with YouTube extension downloads.

 -- tony mancill <tmancill@debian.org>  Sat, 27 Jan 2018 10:36:33 -0800

gpodder (3.10.0-2) unstable; urgency=medium

  * Add patch for exception downloading YouTube videos (Closes: #888420)

 -- tony mancill <tmancill@debian.org>  Thu, 25 Jan 2018 21:12:06 -0800

gpodder (3.10.0-1) unstable; urgency=medium

  * New upstream version 3.10.0
    - no longer depends upon pygtk (Closes: #885295)
    - now builds for Python3 (only)
  * Update debian/watch to scan github
  * Update Homepage, Vcs URLs, and freshen copyright years
  * Add patches for UTF-8
  * Use debhelper 10
  * Update debian/rules and dependencies for Python3
  * Bump Standards-Version to 4.1.3

 -- tony mancill <tmancill@debian.org>  Sun, 21 Jan 2018 18:33:01 -0800

=== debian/control ===
Source: gpodder
Maintainer: Thomas Perl <m@thp.io>
Uploaders: tony mancill <tmancill@debian.org>
Section: x11
Priority: optional
Standards-Version: 4.1.3
Build-Depends: debhelper (>= 10),
 dh-python,
 intltool,
 python3
Homepage: https://gpodder.org/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/gpodder.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/gpodder.git

Package: gpodder
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
 python3-gi,
 python3-dbus,
 python3-cairo,
 python3-mygpoclient,
 python3-podcastparser
Recommends: default-dbus-session-bus | dbus-session-bus,
 python3-appindicator,
 python3-eyed3,
 python3-html5lib,
 python3-simplejson
Suggests: mplayer, gnome-bluetooth | bluez-gnome
Description: podcast client and feed aggregator
 gPodder is a podcast receiver/catcher. You can subscribe to feeds
 ("podcasts") and automatically download new audio and video content.
 Downloaded content can be played on your computer or synchronized to
 iPods, MTP-based players, filesystem-based MP3 players and Bluetooth
 enabled mobile phones. YouTube video feeds are also supported.
 .
 This package provides the "gpodder" GUI and the "gpo" CLI utility.

## gpodder 3.10.1

=== debian/changelog ===
gpodder (3.10.1-1) unstable; urgency=medium

  * New upstream version 3.10.1
  * Update debian/watch to repack with compression=xz
  * Update year in debian/copyright
  * Freshen patches for new upstream release

 -- tony mancill <tmancill@debian.org>  Wed, 21 Feb 2018 20:21:19 -0800

gpodder (3.10.0-5) unstable; urgency=medium

  * Add python3-all and python3-setuptools to Build-Depends
  * Add dbus-x11, python3-gi-cairo, and gir1.2-gtk-3.0 to Depends
    Promote default-dbus-session-bus | dbus-session-bus to Depends

 -- tony mancill <tmancill@debian.org>  Sun, 11 Feb 2018 10:09:30 -0800

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,9 @@
 Build-Depends: debhelper (>= 10),
  dh-python,
  intltool,
- python3
+ python3,
+ python3-all,
+ python3-setuptools
 Homepage: https://gpodder.org/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/gpodder.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/gpodder.git
@@ -15,12 +17,16 @@
 Package: gpodder
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends},
+ default-dbus-session-bus | dbus-session-bus,
+ dbus-x11,
+ gir1.2-gtk-3.0,
  python3-gi,
  python3-dbus,
  python3-cairo,
+ python3-gi-cairo,
  python3-mygpoclient,
  python3-podcastparser
-Recommends: default-dbus-session-bus | dbus-session-bus,
+Recommends:
  python3-appindicator,
  python3-eyed3,
  python3-html5lib,

=== debian/rules ===
--- 
+++ 
@@ -4,13 +4,13 @@
 TMP       = $(CURDIR)/debian/$(PACKAGE)
 CHANGELOG = ChangeLog
 DOCS      = README
-PYTHON    = /usr/bin/python
+PYTHON    = /usr/bin/python3
 SETUP     = ${PYTHON} setup.py
 DESTDIR   = debian/${PACKAGE}
 PREFIX    = usr
 
 %:
-	dh $@ --with python2
+	dh $@ --with python3
 
 override_dh_auto_test:
 
@@ -30,7 +30,7 @@
 	dh_installdirs
 	make messages
 	PREFIX=$(PREFIX) make share/dbus-1/services/org.gpodder.service
-	${SETUP} install --no-compile --root='$(DESTDIR)' --prefix=$(PREFIX) --install-lib=$(PREFIX)/share/pyshared
+	${SETUP} install --no-compile --root='$(DESTDIR)' --prefix=$(PREFIX)
 
 get-orig-source:
 	uscan --force-download --rename

## gpodder 3.10.3

=== debian/changelog ===
gpodder (3.10.3-1) unstable; urgency=medium

  * New upstream version 3.10.3.
    New features:
    - #402 extension to run a command on download
    - #431 update sonos extension to use soco >= 0.7 API
    - #442 gpo command for downloading/deleting a single episode
    - #384 YouTube feeds without API key
  * Freshen patches for new upstream release

 -- tony mancill <tmancill@debian.org>  Sun, 17 Jun 2018 16:43:06 -0700

gpodder (3.10.1-2) unstable; urgency=medium

  * Update Vcs fields for migration from Alioth -> Salsa
  * Apply patch for Ayatana App Indicator (Closes: #898424) and replace
    recommends on python3-appindicator with gir1.2-ayatanaappindicator3-0.1
    - Thank you to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
  * Bump Standards-Version to 4.1.4
  * Use debhelper 11

 -- tony mancill <tmancill@debian.org>  Sun, 27 May 2018 14:25:36 -0700

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PACKAGE   = $(firstword $(shell dh_listpackages))
 TMP       = $(CURDIR)/debian/$(PACKAGE)
 CHANGELOG = ChangeLog
-DOCS      = README
+DOCS      = README.md
 PYTHON    = /usr/bin/python3
 SETUP     = ${PYTHON} setup.py
 DESTDIR   = debian/${PACKAGE}

## gpodder 3.10.6

=== debian/changelog ===
gpodder (3.10.6-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces

  [ tony mancill ]
  * New upstream version 3.10.6
  * Drop get-orig-source target from debian/rules
  * Bump Standards-Version to 4.3.0
  * Refresh debian/patches for new upstream version.

 -- tony mancill <tmancill@debian.org>  Sat, 19 Jan 2019 11:58:47 -0800

gpodder (3.10.3-2) unstable; urgency=medium

  * Rename variable 'async' in services.py (Closes: #902794)

 -- tony mancill <tmancill@debian.org>  Sat, 30 Jun 2018 21:23:32 -0700

## gpodder 3.10.7

=== debian/changelog ===
gpodder (3.10.7-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 13:13:54 +0800

gpodder (3.10.7-2) unstable; urgency=medium

  * Add patch to use HTTPS for HTTPS URLs, including YouTube.

 -- tony mancill <tmancill@debian.org>  Tue, 11 Jun 2019 17:37:34 -0700

gpodder (3.10.7-1) unstable; urgency=medium

  * New upstream version 3.10.7
  * Freshen patches for new upstream release
  * debian/copyright: freshen copyright years and add comment regarding
    AppStream metadata CC0-1.0 designation

 -- tony mancill <tmancill@debian.org>  Sat, 02 Feb 2019 15:17:35 -0800

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Uploaders: tony mancill <tmancill@debian.org>
 Section: x11
 Priority: optional
-Standards-Version: 4.1.3
-Build-Depends: debhelper (>= 10),
+Standards-Version: 4.3.0
+Build-Depends: debhelper (>= 11),
  dh-python,
  intltool,
  python3,
  python3-all,
  python3-setuptools
 Homepage: https://gpodder.org/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/gpodder.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/gpodder.git
+Vcs-Browser: https://salsa.debian.org/debian/gpodder
+Vcs-Git: https://salsa.debian.org/debian/gpodder.git
 
 Package: gpodder
 Architecture: all
@@ -27,7 +27,7 @@
  python3-mygpoclient,
  python3-podcastparser
 Recommends:
- python3-appindicator,
+ gir1.2-ayatanaappindicator3-0.1,
  python3-eyed3,
  python3-html5lib,
  python3-simplejson

## gpodder 3.10.9

=== debian/changelog ===
gpodder (3.10.9-0.1~mx17+1) mx; urgency=medium

  * New upstream release; build for MX 17.
  * Make recommended packages dependencies.
  * Refresh remove_copyright_character.patch.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 09 Jun 2019 13:55:18 -0700

gpodder (3.10.8-1) experimental; urgency=medium

  * New upstream version 3.10.8
    - Updated Russian translation

 -- tony mancill <tmancill@debian.org>  Sat, 06 Apr 2019 08:12:32 -0700

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: gpodder
-Maintainer: Thomas Perl <m@thp.io>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Thomas Perl <m@thp.io>
 Uploaders: tony mancill <tmancill@debian.org>
 Section: x11
 Priority: optional
@@ -25,8 +26,7 @@
  python3-cairo,
  python3-gi-cairo,
  python3-mygpoclient,
- python3-podcastparser
-Recommends:
+ python3-podcastparser,
  gir1.2-ayatanaappindicator3-0.1,
  python3-eyed3,
  python3-html5lib,

## gpodder 3.10.11

=== debian/changelog ===
gpodder (3.10.11-2) unstable; urgency=medium

  * Remove Depends on dbus-x11; allow dbus-user-session to satisfy this
    dependency.  Thank you to John-Paul Durrieu for the bug report.
  * Specify debhelper compat via debhelper-compat dependency
  * Remove outdated debian NEWS file; it referred to upgrades prior
    to old-old-stable.
  * Add patch to address syntax warnings.
  * Set "Rules-Requires-Root: no" in debian/control

 -- tony mancill <tmancill@debian.org>  Thu, 26 Dec 2019 20:18:05 -0800

gpodder (3.10.11-1) unstable; urgency=medium

  * New upstream version 3.10.11
    - Fixes the "Check for new episodes at startup" extension
  * Bump Standards-Version to 4.4.1

 -- tony mancill <tmancill@debian.org>  Sun, 29 Sep 2019 19:05:48 -0700

gpodder (3.10.10-1) unstable; urgency=medium

  * New upstream version 3.10.10
    - Support for paginated feeds (RFC 5005)
    - New extension to manage YouTube subscriptions and downloads
    - Updated translations
    - Numerous bugs fixes and improvements
      (see: https://github.com/gpodder/gpodder/releases/tag/3.10.10)
  * Refresh patches
  * Bump Standards-Version to 4.4.0
  * Use debhelper 12
  * Add youtube-dl to Suggests

 -- tony mancill <tmancill@debian.org>  Sat, 28 Sep 2019 07:48:22 -0700

gpodder (3.10.9-1) unstable; urgency=medium

  * New upstream version 3.10.9
    - Uses HTTPS for YouTube.
      Fixes https://github.com/gpodder/gpodder/issues/625
  * Upload to unstable.

 -- tony mancill <tmancill@debian.org>  Thu, 13 Jun 2019 19:05:17 -0700

=== debian/control ===
Source: gpodder
Maintainer: Thomas Perl <m@thp.io>
Uploaders: tony mancill <tmancill@debian.org>
Section: x11
Priority: optional
Standards-Version: 4.4.1
Build-Depends: debhelper-compat (= 12),
 dh-python,
 intltool,
 python3,
 python3-all,
 python3-setuptools
Homepage: https://gpodder.org/
Vcs-Browser: https://salsa.debian.org/debian/gpodder
Vcs-Git: https://salsa.debian.org/debian/gpodder.git
Rules-Requires-Root: no

Package: gpodder
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
 default-dbus-session-bus | dbus-session-bus,
 gir1.2-gtk-3.0,
 python3-gi,
 python3-dbus,
 python3-cairo,
 python3-gi-cairo,
 python3-mygpoclient,
 python3-podcastparser
Recommends:
 gir1.2-ayatanaappindicator3-0.1,
 python3-eyed3,
 python3-html5lib,
 python3-simplejson
Suggests: mplayer, gnome-bluetooth | bluez-gnome, youtube-dl
Description: podcast client and feed aggregator
 gPodder is a podcast receiver/catcher. You can subscribe to feeds
 ("podcasts") and automatically download new audio and video content.
 Downloaded content can be played on your computer or synchronized to
 iPods, MTP-based players, filesystem-based MP3 players and Bluetooth
 enabled mobile phones. YouTube video feeds are also supported.
 .
 This package provides the "gpodder" GUI and the "gpo" CLI utility.

## gpodder 3.10.13

=== debian/changelog ===
gpodder (3.10.13-1) unstable; urgency=medium

  * New upstream version 3.10.13
  * Refresh patches against new upstream version
  * Freshen years in debian/copyright
  * Bump Standards-Version to 4.5.0
  * Remove unneeded lintian overrides

 -- tony mancill <tmancill@debian.org>  Mon, 03 Feb 2020 01:05:08 -0800

## gpodder 3.10.15

=== debian/changelog ===
gpodder (3.10.15-1) unstable; urgency=medium

  * New upstream version 3.10.15

 -- tony mancill <tmancill@debian.org>  Wed, 15 Apr 2020 19:13:12 -0700

gpodder (3.10.14-1) unstable; urgency=medium

  * New upstream version 3.10.14
  * Refresh patches against new upstream version
  * Remove address_syntax_warnings patch

 -- tony mancill <tmancill@debian.org>  Tue, 14 Apr 2020 21:06:01 -0700

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: tony mancill <tmancill@debian.org>
 Section: x11
 Priority: optional
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Build-Depends: debhelper-compat (= 12),
  dh-python,
  intltool,

=== debian/watch ===
version=4
  opts=repack,compression=xz,filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/gpodder-$1\.tar\.gz/ \
  https://github.com/gpodder/gpodder/tags .*/v?(\d\S+)\.tar\.gz

## gpodder 3.10.16

=== debian/changelog ===
gpodder (3.10.16-1) unstable; urgency=medium

  * New upstream version 3.10.16
  * Refresh patches against new upstream version
  * Use debhelper-compat 13

 -- tony mancill <tmancill@debian.org>  Tue, 23 Jun 2020 21:46:05 -0700

## gpodder 3.10.17

=== debian/changelog ===
gpodder (3.10.17-1) unstable; urgency=medium

  * New upstream version 3.10.17
  * Refresh patches for new upstream version

 -- tony mancill <tmancill@debian.org>  Mon, 23 Nov 2020 10:26:51 -0800

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: x11
 Priority: optional
 Standards-Version: 4.5.0
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
  dh-python,
  intltool,
  python3,

=== debian/rules ===
--- 
+++ 
@@ -31,6 +31,3 @@
 	make messages
 	PREFIX=$(PREFIX) make share/dbus-1/services/org.gpodder.service
 	${SETUP} install --no-compile --root='$(DESTDIR)' --prefix=$(PREFIX)
-
-get-orig-source:
-	uscan --force-download --rename

## gpodder 3.10.20

=== debian/changelog ===
gpodder (3.10.20-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 28 Jun 2021 20:47:34 -0700

gpodder (3.10.20-1) experimental; urgency=medium

  * New upstream version 3.10.20
    Includes a fix for YouTube downloader.
    See https://github.com/gpodder/gpodder/releases/tag/3.10.20 for details.
  * Refresh patches for new upstream version

 -- tony mancill <tmancill@debian.org>  Mon, 07 Jun 2021 18:16:07 -0700

gpodder (3.10.19-1) experimental; urgency=medium

  * New upstream version 3.10.19
    Restores window positioning that was removed in 3.10.18.

 -- tony mancill <tmancill@debian.org>  Thu, 15 Apr 2021 06:48:13 -0700

gpodder (3.10.18-1) experimental; urgency=medium

  * New upstream version 3.10.18
    See https://github.com/gpodder/gpodder/releases/tag/3.10.18
  * Add debian/gbp.conf for DEP14 layout
  * Refresh patches for new upstream version
  * Freshen debian/copyright
  * Bump Standards-Version to 4.5.1
  * Depend on python3-requests (>= 2.24)
  * Upload to Debian experimental during the Bullseye freeze

 -- tony mancill <tmancill@debian.org>  Sun, 11 Apr 2021 09:19:31 -0700

=== debian/control ===
Source: gpodder
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Thomas Perl <m@thp.io>
Uploaders: tony mancill <tmancill@debian.org>
Section: x11
Priority: optional
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 12),
               dh-python,
               intltool,
               python3,
               python3-all,
               python3-setuptools
Homepage: https://gpodder.org/
Vcs-Browser: https://salsa.debian.org/debian/gpodder
Vcs-Git: https://salsa.debian.org/debian/gpodder.git
Rules-Requires-Root: no

Package: gpodder
Architecture: all
Depends: default-dbus-session-bus | dbus-session-bus,
         gir1.2-gtk-3.0,
         python3-cairo,
         python3-dbus,
         python3-gi,
         python3-gi-cairo,
         python3-mygpoclient,
         python3-podcastparser,
         python3-requests (>= 2.24),
         ${misc:Depends},
         ${python3:Depends}
Recommends: gir1.2-ayatanaappindicator3-0.1,
            python3-eyed3,
            python3-html5lib,
            python3-simplejson
Suggests: gnome-bluetooth | bluez-gnome, mplayer, youtube-dl
Description: podcast client and feed aggregator
 gPodder is a podcast receiver/catcher. You can subscribe to feeds
 ("podcasts") and automatically download new audio and video content.
 Downloaded content can be played on your computer or synchronized to
 iPods, MTP-based players, filesystem-based MP3 players and Bluetooth
 enabled mobile phones. YouTube video feeds are also supported.
 .
 This package provides the "gpodder" GUI and the "gpo" CLI utility.

## gpodder 3.10.21

=== tools/requirements.txt ===
# PyPI / pip requirements for Linux
# For the benefit of e.g. flatpak-pip-generator.
#
mygpoclient==1.8
podcastparser==0.6.6
requests[socks]==2.25.1
urllib3==1.26.5
html5lib==1.1
mutagen==1.45.1
dbus-python
youtube_dl
# eyed3 is optional and pulls in a lot of dependencies, so disable by default
# eyed3

=== debian/changelog ===
gpodder (3.10.21-2) unstable; urgency=medium

  * Upload to unstable

 -- tony mancill <tmancill@debian.org>  Sun, 27 Feb 2022 19:28:35 -0800

gpodder (3.10.21-1) experimental; urgency=medium

  * New upstream version 3.10.21
    See https://github.com/gpodder/gpodder/releases/tag/3.10.21
  * Refresh patches for new upstream version

 -- tony mancill <tmancill@debian.org>  Tue, 20 Jul 2021 16:18:02 -0700

=== debian/control ===
Source: gpodder
Maintainer: Thomas Perl <m@thp.io>
Uploaders: tony mancill <tmancill@debian.org>
Section: x11
Priority: optional
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 13),
 dh-python,
 intltool,
 python3,
 python3-all,
 python3-setuptools
Homepage: https://gpodder.org/
Vcs-Browser: https://salsa.debian.org/debian/gpodder
Vcs-Git: https://salsa.debian.org/debian/gpodder.git
Rules-Requires-Root: no

Package: gpodder
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
 default-dbus-session-bus | dbus-session-bus,
 gir1.2-gtk-3.0,
 python3-gi,
 python3-dbus,
 python3-cairo,
 python3-gi-cairo,
 python3-mygpoclient,
 python3-podcastparser,
 python3-requests (>= 2.24)
Recommends:
 gir1.2-ayatanaappindicator3-0.1,
 python3-eyed3,
 python3-html5lib,
 python3-simplejson
Suggests: mplayer, gnome-bluetooth | bluez-gnome, youtube-dl
Description: podcast client and feed aggregator
 gPodder is a podcast receiver/catcher. You can subscribe to feeds
 ("podcasts") and automatically download new audio and video content.
 Downloaded content can be played on your computer or synchronized to
 iPods, MTP-based players, filesystem-based MP3 players and Bluetooth
 enabled mobile phones. YouTube video feeds are also supported.
 .
 This package provides the "gpodder" GUI and the "gpo" CLI utility.

## gpodder 3.11.0

=== tools/requirements.txt ===
# PyPI / pip requirements for Linux
# For the benefit of e.g. flatpak-pip-generator.
#
dbus-python
html5lib==1.1
mutagen==1.45.1
mygpoclient==1.9
podcastparser==0.6.8
requests[socks]==2.28.1
urllib3==1.26.10
yt-dlp
# eyed3 is optional and pulls in a lot of dependencies, so disable by default
# eyed3

=== debian/changelog ===
gpodder (3.11.0-4) unstable; urgency=medium

  * Build with pybuild and simplify debian/rules (Closes: #1026517)

 -- tony mancill <tmancill@debian.org>  Mon, 26 Dec 2022 14:14:14 -0800

gpodder (3.11.0-3) unstable; urgency=medium

  [ tony mancill ]
  * Remove unneeded patch: remove_copyright_character.patch
  * Remove uuneeded patch: utf-8_coding_for_setup.patch
  * Replace Suggests on youtube-dl with yt-dlp (Closes: #1024227)

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

 -- tony mancill <tmancill@debian.org>  Sat, 19 Nov 2022 11:05:23 -0800

gpodder (3.11.0-2) unstable; urgency=medium

  * Add libgpod4 to Recommends:
  * Add patch address lintian warnings regarding python interpreter
    Thank you to Thomas Perl for the patch.

 -- tony mancill <tmancill@debian.org>  Sat, 06 Aug 2022 11:08:41 -0700

gpodder (3.11.0-1) unstable; urgency=medium

  * New upstream version 3.11.0
    This update includes a change to database schema.  If you need to
    rollback, see the documentation at:
        https://gpodder.github.io/docs/user-manual.html
  * Bump Standards-Version to 4.6.1

 -- tony mancill <tmancill@debian.org>  Sun, 31 Jul 2022 16:02:20 -0700

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: tony mancill <tmancill@debian.org>
 Section: x11
 Priority: optional
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Build-Depends: debhelper-compat (= 13),
  dh-python,
  intltool,
@@ -29,10 +29,11 @@
  python3-requests (>= 2.24)
 Recommends:
  gir1.2-ayatanaappindicator3-0.1,
+ libgpod4,
  python3-eyed3,
  python3-html5lib,
  python3-simplejson
-Suggests: mplayer, gnome-bluetooth | bluez-gnome, youtube-dl
+Suggests: mplayer, gnome-bluetooth | bluez-gnome, yt-dlp
 Description: podcast client and feed aggregator
  gPodder is a podcast receiver/catcher. You can subscribe to feeds
  ("podcasts") and automatically download new audio and video content.

=== debian/rules ===
#!/usr/bin/make -f

CHANGELOG = ChangeLog
DOCS      = README.md
PYTHON    = /usr/bin/python3
PREFIX    = usr

export DH_VERBOSE = 1

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	# skip tests

override_dh_auto_install:
	PREFIX=$(PREFIX) make messages
	PREFIX=$(PREFIX) make share/dbus-1/services/org.gpodder.service
	DESTDIR=$(CURDIR)/debian/$(DEB_SOURCE) PREFIX=$(PREFIX) make install
	dh_auto_install

## gpodder 3.11.1

=== tools/requirements.txt ===
# PyPI / pip requirements for Linux
# For the benefit of e.g. flatpak-pip-generator.
#
dbus-python
html5lib==1.1
mutagen==1.46.0
mygpoclient==1.9
podcastparser==0.6.9
requests[socks]==2.28.1
urllib3==1.26.13
yt-dlp
# eyed3 is optional and pulls in a lot of dependencies, so disable by default
# eyed3

=== debian/changelog ===
gpodder (3.11.1-1) unstable; urgency=medium

  * New upstream version 3.11.1
    Numerous bug fixes and performance improvements
    https://github.com/gpodder/gpodder/releases/tag/3.11.1
  * Remove unusual-interpreter patch
  * Add patch to correct invalid XML in appdata
  * Add versioned Suggests for yt-dlp

 -- tony mancill <tmancill@debian.org>  Sun, 19 Feb 2023 10:27:38 -0800

gpodder (3.11.0-6) unstable; urgency=medium

  * Suggest gnome-bluetooth-sendto (Closes: #1030132)
  * Freshen years in debian/copyright
  * Bump Standards-Version to 4.6.2

 -- tony mancill <tmancill@debian.org>  Wed, 01 Feb 2023 20:24:10 -0800

gpodder (3.11.0-5) unstable; urgency=medium

  * Address incorrect path in desktop file (Closes: #1027105)

 -- tony mancill <tmancill@debian.org>  Tue, 27 Dec 2022 20:03:22 -0800

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: tony mancill <tmancill@debian.org>
 Section: x11
 Priority: optional
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13),
  dh-python,
  intltool,
@@ -33,7 +33,7 @@
  python3-eyed3,
  python3-html5lib,
  python3-simplejson
-Suggests: mplayer, gnome-bluetooth | bluez-gnome, yt-dlp
+Suggests: mplayer, gnome-bluetooth-sendto, yt-dlp (>= 2023.02.17)
 Description: podcast client and feed aggregator
  gPodder is a podcast receiver/catcher. You can subscribe to feeds
  ("podcasts") and automatically download new audio and video content.

## gpodder 3.11.2

=== debian/changelog ===
gpodder (3.11.2-2) unstable; urgency=medium

  * Add normalize-audio to Recommends (Closes: #1050100), required for:
    "Preferences -> Extensions -> Normalize audio with re-encoding"

 -- tony mancill <tmancill@debian.org>  Sat, 02 Sep 2023 12:08:55 -0700

gpodder (3.11.2-1) unstable; urgency=medium

  * New upstream version 3.11.2
  * Drop appstream-xml.patch accepted upstream

 -- tony mancill <tmancill@debian.org>  Wed, 16 Aug 2023 15:37:40 -0700

## gpodder 3.11.3

=== tools/requirements.txt ===
# PyPI / pip requirements for Linux
# For the benefit of e.g. flatpak-pip-generator.
#
dbus-python
html5lib==1.1
mutagen==1.46.0
mygpoclient==1.9
podcastparser==0.6.10
requests[socks]==2.31.0
urllib3==2.0.4
yt-dlp
# eyed3 is optional and pulls in a lot of dependencies, so disable by default
# eyed3

=== debian/changelog ===
gpodder (3.11.3-2) unstable; urgency=medium

  * Support Python 3.12 (LP: #2058098)
  * Freshen years in debian/copyright

 -- tony mancill <tmancill@debian.org>  Sat, 16 Mar 2024 09:51:12 -0700

gpodder (3.11.3-1) unstable; urgency=medium

  * New upstream version 3.11.3

 -- tony mancill <tmancill@debian.org>  Sun, 01 Oct 2023 08:05:45 -0700

=== debian/control ===
--- 
+++ 
@@ -30,6 +30,7 @@
 Recommends:
  gir1.2-ayatanaappindicator3-0.1,
  libgpod4,
+ normalize-audio,
  python3-eyed3,
  python3-html5lib,
  python3-simplejson

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 CHANGELOG = ChangeLog
 DOCS      = README.md
 PYTHON    = /usr/bin/python3
-PREFIX    = usr
+PREFIX    = /usr
 
 export DH_VERBOSE = 1

## gpodder 3.11.5+5

=== debian/changelog ===
gpodder (3.11.5+5-0~mx23) mx; urgency=medium

  * Rebuild for MX-23

 -- Timothy E. Harris <maintainer@mxrepo.com>  Sun, 14 Dec 2025 05:01:10 +0000

gpodder (3.11.5+5-0~mx25) mx; urgency=medium

  * Rebuild for MX-25

 -- Timothy E. Harris <maintainer@mxrepo.com>  Sun, 14 Dec 2025 04:55:00 +0000

gpodder (3.11.5+5-0~ppa5~plucky) plucky; urgency=medium

  * unofficial/untested trunk build

 -- Eric Le Lay <contact@elelay.fr>  Fri, 17 Oct 2025 16:42:49 +0000

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,18 @@
 Source: gpodder
-Maintainer: Thomas Perl <m@thp.io>
+Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
+XSBC-Original-Maintainer: Thomas Perl <m@thp.io>
 Uploaders: tony mancill <tmancill@debian.org>
 Section: x11
 Priority: optional
-Standards-Version: 4.6.2
-Build-Depends: debhelper-compat (= 13),
+Standards-Version: 4.1.3
+Build-Depends: debhelper (>= 10),
  dh-python,
  intltool,
  python3,
  python3-all,
- python3-setuptools
+ python3-setuptools,
+ python3-build,
+ python3-installer (>=0.6)
 Homepage: https://gpodder.org/
 Vcs-Browser: https://salsa.debian.org/debian/gpodder
 Vcs-Git: https://salsa.debian.org/debian/gpodder.git
@@ -25,16 +28,13 @@
  python3-cairo,
  python3-gi-cairo,
  python3-mygpoclient,
- python3-podcastparser,
- python3-requests (>= 2.24)
+ python3-podcastparser
 Recommends:
  gir1.2-ayatanaappindicator3-0.1,
- libgpod4,
- normalize-audio,
  python3-eyed3,
  python3-html5lib,
  python3-simplejson
-Suggests: mplayer, gnome-bluetooth-sendto, yt-dlp (>= 2023.02.17)
+Suggests: mplayer, gnome-bluetooth | bluez-gnome, youtube-dl, python3-mutagen
 Description: podcast client and feed aggregator
  gPodder is a podcast receiver/catcher. You can subscribe to feeds
  ("podcasts") and automatically download new audio and video content.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1

PACKAGE   = $(firstword $(shell dh_listpackages))
TMP       = $(CURDIR)/debian/$(PACKAGE)
CHANGELOG = ChangeLog
DOCS      = README.md
PYTHON    = /usr/bin/python3
SETUP     = ${PYTHON} setup.py
DESTDIR   = debian/${PACKAGE}
PREFIX    = usr

%:
	dh $@ --with python3

override_dh_auto_test:

override_dh_clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	${SETUP} clean --all
	rm -rf build dist
	dh_clean
	make clean
